加工单列表
POST
/erp/sc/routing/inventoryReceipt/StorageProcess/getOrderLists接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryReceipt/StorageProcess/getOrderLists | HTTPS | POST | 1 |
请求参数
typeinteger必填widstringprocess_snstringstatusintegersearch_field_timestringstart_datestringend_datestringoffsetinteger必填lengthinteger必填请求示例
{
"offset": 0,
"length": 20,
"wid": 53,
"type": 1,
"process_sn": "PT240730001",
"status": 2,
"search_field_time": "create_time",
"start_date": "2024-07-30",
"end_date": "2024-07-30"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
process_snstring必填statusinteger必填typestring必填ware_house_namestring必填widinteger必填create_byinteger必填create_realnamestring必填create_timestring必填finish_realnamestring必填finish_timestring必填finish_uidinteger必填remarkstring必填update_timestring必填product_listarray<object>必填隐藏子属性
skustring必填product_namestring必填fnskustring必填seller_idinteger必填seller_namestring必填sync_pricestring必填sync_amountstring必填process_feestring必填remarkstring必填whb_code_goodarray<object>必填隐藏子属性
whb_codestringwhb_code_namestringwhb_numintegerpic_urlstring必填quantityinteger必填item_listarray<object>必填隐藏子属性
skustring必填product_namestring必填fnskustring必填quantity_processinteger必填sync_pricestring必填sync_amountstring必填seller_idinteger必填seller_namestring必填whb_code_goodarray<object>必填隐藏子属性
whb_codestringwhb_code_namestringwhb_numinteger返回成功示例
{
"code":0,
"message":"success",
"error_details":[],
"request_id":"160B52C9-2B20-2A28-75E9-548C96A90565",
"response_time":"2023-03-28 09:59:00",
"data":[
{
"process_sn":"PT230324003",
"wid":1,
"remark":"",
"status":2,
"type":1,
"create_by":10317908,
"create_time":"2023-03-24 00:55:36",
"finish_uid":10317908,
"finish_time":"2023-03-26 22:46:51",
"create_realname":"验证账户2",
"finish_realname":"验证账户2",
"ware_house_name":"默认仓库",
"product_list":[
{
"sku":"niubao",
"fnsku":"",
"quantity":44,
"remark":"",
"process_fee":"0.000000",
"sync_price":"0.0000",
"sync_amount":"0.00",
"seller_id":0,
"pic_url":"https://image.distxxx.com/xxx/9dc0c077bc5c2.jpg",
"product_name":"早餐套餐",
"seller_name":"",
"whb_code_good":[],
"item_list":[
{
"fnsku":"",
"quantity_process":44,
"sync_price":"0.0000",
"sync_amount":"0.00",
"seller_id":0,
"product_name":"肉包",
"sku":"baozi",
"seller_name":"",
"whb_code_good":[]
},
{
"fnsku":"",
"quantity_process":44,
"sync_price":"0.0000",
"sync_amount":"0.00",
"seller_id":0,
"product_name":"纯牛奶",
"sku":"niunai",
"seller_name":"",
"whb_code_good":[]
}
]
}
]
}
],
"total":999
}